autoLocal(1);
include("0helpful.prg");

function toDuoTrig(bin)
{
	switch(bin)
	{
		case "00000": { return "0"; }
		case "00001": { return "1"; }
		case "00010": { return "2"; }
		case "00011": { return "3"; }
		case "00100": { return "4"; }
		case "00101": { return "5"; }
		case "00110": { return "6"; }
		case "00111": { return "7"; }
		case "01000": { return "8"; }
		case "01001": { return "9"; }
		case "01010": { return "A"; }
		case "01011": { return "B"; }
		case "01100": { return "C"; }
		case "01101": { return "D"; }
		case "01110": { return "E"; }
		case "01111": { return "F"; }
		case "10000": { return "G"; }
		case "10001": { return "H"; }
		case "10010": { return "I"; }
		case "10011": { return "J"; }
		case "10100": { return "K"; }
		case "10101": { return "L"; }
		case "10110": { return "M"; }
		case "10111": { return "N"; }
		case "11000": { return "P"; }
		case "11001": { return "Q"; }
		case "11010": { return "R"; }
		case "11011": { return "S"; }
		case "11100": { return "T"; }
		case "11101": { return "U"; }
		case "11110": { return "V"; }
		case "11111": { return "W"; }
		default:
		{
			debugger("Wrong number of binary digits.");
		}
	}
}

function fromDuoTrig(char)
{
	switch(ucase(char))
	{
		case "0": { return "00000"; }
		case "O": { return "00000"; }
		case "1": { return "00001"; }
		case "2": { return "00010"; }
		case "3": { return "00011"; }
		case "4": { return "00100"; }
		case "5": { return "00101"; }
		case "6": { return "00110"; }
		case "7": { return "00111"; }
		case "8": { return "01000"; }
		case "9": { return "01001"; }
		case "A": { return "01010"; }
		case "B": { return "01011"; }
		case "C": { return "01100"; }
		case "D": { return "01101"; }
		case "E": { return "01110"; }
		case "F": { return "01111"; }
		case "G": { return "10000"; }
		case "H": { return "10001"; }
		case "I": { return "10010"; }
		case "J": { return "10011"; }
		case "K": { return "10100"; }
		case "L": { return "10101"; }
		case "M": { return "10110"; }
		case "N": { return "10111"; }
		case "P": { return "11000"; }
		case "Q": { return "11001"; }
		case "R": { return "11010"; }
		case "S": { return "11011"; }
		case "T": { return "11100"; }
		case "U": { return "11101"; }
		case "V": { return "11110"; }
		case "W": { return "11111"; }
	}
}

