//-------------------------------------------------
// 3.1.0 Wander and intercept thread
// *updated*
//-------------------------------------------------

// Minimum approach to trigger intercept.
intercept = 3;

local(ix)
local(iy)
local(px)
local(py)
local(z)
local(look)=1 //once this item is said to be a target 
              //this variable will keep it from become a target again
itemSpeed("source", 1);
while(true)
{
	// Obtain the locations of the player and this item.
	playerLocation(playerHandle[0], px, py, z);
	itemLocation("source", ix, iy, z);
	
	// Intercept the player if they are close by
	ix=((ix+intercept)-px)*(px-(ix-intercept))+1
	iy=((iy+intercept)-py)*(py-(iy-intercept))+1
	if (ix>0 && iy>0)
	{
		// Pathfind to the player's location. Use the 'pause thread'
		// flag to halt execution until the item reaches its destination.
		itemPath("source", tkMV_CLEAR_QUEUE, px, py);
		
	}
	else
	{
		// if not close then just keep wandering
		wander("source")
	}
}







