//Menu program
autoLocal(1);

saveScreen();

include("system.prg");
include("0helpful.prg");
include("cPrompt.prg");

if(gamestate < 1)
{
	end();
}

//global(gold) = 2000;
//global(item[0]) = "sword";

font("Comic Sans MS");
fontSize(20);
bold(true);
colorRGB(255, 255, 255);
//global(equipment) = "0,0,0,0";
//global(equipment) = "redcrystal,yellowcrystal,bluecrystal,greencrystal";
//"redcrystal(for push),yellowcrystal(for slash),bluecrystal(for warp),greencrystal(for TBA)"
//Below is outdated
//redcrystal: juirr (in shop), leather (teddy bear (in sidehouse) > fishing rod (boy at ____) > shoe (in fishpond (push2)) >), tongs
//yellowcrystal: lantern (hidden deep within a level), ore (shovel (shop) >), 
//bluecrystal: flower (innkeeper debt collecting mission > seeds >), feather (chop down tree with bird in it), water flask (must take submarine to get to it)
//greencrystal: the essence of green, logs (extra will appear at work), glass cube
//Equipment slots
equipSlot[0] = "283,64";
equipSlot[1] = "374,64";
equipSlot[2] = "466,64";
equipSlot[3] = "551,64";

//Item slots
itemSlot[0] = "282,225";
itemSlot[1] = "373,225";
itemSlot[2] = "465,225";
itemSlot[3] = "550,225";
itemSlot[4] = "283,309";
itemSlot[5] = "374,309";
itemSlot[6] = "466,309";
itemSlot[7] = "551,309";
itemSlot[8] = "283,391";
itemSlot[9] = "374,391";
itemSlot[10] = "466,391";
itemSlot[11] = "551,391";
menu = createCanvas(640, 480);

//canvasGetScreen(menu);
//Place menu background
setImage("menuBack2.png"/*"gradient.png"*/, 0, 0, 640, 480, menu);
//Menu template
setImageTransparent("menu.png", 0, 0, 640, 480, 255, 0, 255, menu);

//Juirr level
getColor(r, g, b);
if(juirrColor == 1)
{
	colorRGB(75, 75, 75); //Change
}
elseif(juirrColor == 2)
{
	colorRGB(255, 255, 250);
}
else
{
	colorRGB(44, 224, 48);
}
if(juirr > 0)
{
	fillRect(262, 148, 293, 172, menu);
}
if(juirr > .5)
{
	fillRect(293, 148, 324, 172, menu);
}
if(juirr > 1)
{
	fillRect(326, 148, 358, 172, menu);
}
if(juirr > 1.5)
{
	fillRect(358, 148, 390, 172, menu);
}
if(juirr > 2)
{
	fillRect(392, 148, 423, 172, menu);
}
if(juirr > 2.5)
{
	fillRect(423, 148, 453, 172, menu);
}
colorRGB(r, g, b);

//Place Equipment
split(equipment, ",", gear);
for(index = 0; index < 4; index++)
{
	split(equipSlot[index], ",", coord);
	if(gear[index] ~= 0)
	{
		setImageTransparent(gear[index] + ".png", coord[0], coord[1], 32, 32, 255, 0, 255, menu);
	} 
	else
	{
		setImageTransparent("unknown.png", coord[0], coord[1], 32, 32, 255, 0, 255, menu);
	}
}

if(gear[1] ~= 0)
{
	pixelText(383, 42, "G", menu);
}
if(gear[2] ~= 0)
{
	pixelText(475, 42, "T", menu);
	pixelText(475, 100, "V", menu);
	pixelText(505, 70, "H", menu);
	pixelText(450, 70, "F", menu);
}

//Place Items
for(index = 0; index < 13; index++)
{
	split(itemSlot[index], ",", coord);
	if(item[index] ~= "")
	{
		setImageTransparent(item[index] + ".png", coord[0], coord[1], 32, 32, 255, 0, 255, menu);
	}
}
//Juirr label
text(14.25, 7, "Juirr", menu);
//Gold
if(gold > 9990)
{
	global(gold) = 9990;
}
text(24.5, 8.5, "   Gold: " + gold, menu);

if(gamestate == 7)
{
	fillRect(205, 0, 640, 200, menu);
	colorRGB(0, 0, 0);
	pixelText(240, 20, "'Go teach people to follow me. I will shine through you", menu);
	pixelText(240, 40, "like a light in the darkness.'", menu);
	pixelText(240, 70, " ~ Sotiras", menu);
	colorRGB(255, 255, 255);
}

//text(24.5, 10, "gamestate: " + gamestate, menu);
//Player's name
text(1.5, 19, name, menu);
//Playing Time  *****needs work
   ticks = getTickCount() - startticks;
   seconds = ((ticks / 1000) % 60) - startseconds;
   minutes = ((ticks / (1000 * 60)) % 60) - startminutes;
   hours = ((ticks / (1000 * 60 * 60)) % 24) - starthours;
   days = ((ticks / (1000 * 60 * 60 * 24)) % 7) - startdays;
text(1.5, 20.5, "Playing Time:", menu);
text(1.5, 21.5, hours + ":" + minutes + ":" + seconds, menu);
while(1)
{
drawCanvas(menu, 0, 0);

	cCMap = cCursorMap();
	cCMap->addOption("Resume", 30, 30);
	cCMap->addOption("Select Item", 30, 80);
	cCMap->addOption("Help", 30, 130);
	cCMap->addOption("Save Game", 30, 180);
	cCMap->addOption("Quit", 30, 230);
	if(gamestate >= 2)
	{
		cCMap->addOption("Retreat", 30, 280);
	}
//	cCMap->addOption("Test Button", 30, 300);
	option = cCMap->runCursorMap();
	cCMap->release();

	//Act on choice
	switch(option)
	{
		//Resume
		case 0:
		{
			branch(:menuEnd);
		}
		//Select Item
		case 1:
		{
			drawCanvas(menu, 0, 0);
			cCMap = cCursorMap();
			cCMap->setCursorProp("default", 40, 40);
			cCMap->addPoint(278, 221);
			cCMap->addPoint(369, 221);
			cCMap->addPoint(461, 221);
			cCMap->addPoint(546, 221);
			cCMap->addPoint(279, 305);
			cCMap->addPoint(370, 305);
			cCMap->addPoint(462, 305);
			cCMap->addPoint(547, 305);
			cCMap->addPoint(279, 387);
			cCMap->addPoint(370, 387);
			cCMap->addPoint(462, 387);
			cCMap->addPoint(547, 387);
			selection = cCMap->runCursorMap();
			cCMap->release();
			if(item[selection] ~= "")
			{
				cCMap = cCursorMap();
				cCMap->addOption("Use Item", 30, 70);
				cCMap->addOption("Assign Item to Hotkey", 30, 130);
				cCMap->addOption("Discard Item", 30, 190);
				cCMap->addOption("Cancel", 30, 250);
				choice = cCMap->runCursorMap();
				cCMap->release();
				if(choice == 0)
				{
					prog = item[selection] + "used.prg";
					if(itemUseExists(prog))
					{
						killCanvas(menu);
						kill(menu);
						fontSize(18);
						run(prog);
					}
					else
					{
						says("", "This item is not usable.");
					}
				}
				elseif(choice == 1)
				{
					prog = item[selection] + "used.prg";
					if(itemUseExists(prog))
					{
						says("", "Assigning items to hotkeys simply means you will be able to use an item at the touch of a button.");
						says("", "Which hotkey would you like to assign this item to?");
						if(cMWinChoice("Assign to R", "Assign to Y") == 0)
						{
							global(rprg) = prog;
						}
						else
						{
							global(yprg) = prog;
						}
					}
					else
					{
						says("", "This item is not usable.");
					}
				}
				elseif(choice == 2)
				{
					says("", "Some items may only be found once in the game. Discarding an item may prevent you from finishing the game. This option should only be used as a last resort in cases of error such as an item not getting 'used up' or inventory becoming full. For best results, only discard items which have been obtained recently.");
					says("", "Are you sure you wish to discard this item?");
					if(cMWinChoice("No. Keep this item.", "Yes. I am sure I do not want this.") == 1)
					{
						itemRemove(item[selection]);
						run("menu.prg");
					}
				}				
				drawCanvas(menu, 0, 0);
			}
		}
		//Help
		case 2:
		{
				cCMWin = cMWin("");
				cCMWin->noPause = .2;
				cCMWin->say("This is the help manual for PathFinder. It outlines the controls for the game. As you progress, new controls may be referenced here.");
				cCMWin->release();
			if(pause() == "T")
			{
				if(pause() == "E")
				{
					branch(:testing);
				}
			}
			says("", "To move, use the arrow keys. To open a chest or pick up an item, press SPACE.");
			if(gamestate == 7)
			{
				end();
			}
			if(gamestate >= 2)
			{
				says("", "If you ever get stuck somewhere or disappear, use the 'Retreat' option in the menu to get out of that sticky situation.");
			}
			if(gamestate >= 4)
			{
				says("", "Some objects you will be able to push. To push an object, just walk into it. Sometimes pushing objects certain places does special things.");
			}
			if(gamestate >= 5)
			{
				says("", "Some objects you will be able to destroy. To destroy an object, press G.");
			}
			if(gamestate == 6)
			{
				says("", "You now have the ability to warp. To warp, use the keys T, V, H, and F. F corresponds to westward warping, H to eastward warping, V to southward warping, and T to northward warping. Some places you will not be able to warp.");
			}
		}
		//Save
		case 3:
		{
			if(gamestate >= 2)
			{
//			debugger("Save ability not fully developed.");
			says("", "Select save mode: (recommended attempt both methods)");
			switch(cMWinChoice("- Code method (minor progress lost but always works)", "- File method (will not work on all configurations)"))
			{
				case 1:
				{
					save(cPrompt("Save file as:"));
					says("", "Now select your file. If your file is visible, and if you are able to select it without getting any warning message, you should be safe to load your game from this file in the future. Otherwise, try using the code method of saving your game. Note that the file is saved in a folder entitled 'Saved.'");
					file = dirSav("Select a file.", 0, 15, 0, "");
					if(file == "CANCEL")
					{
						says("", "Apparently, you will not be able to use this save method on your current configuration. Please use code method. Sorry for the inconvenience.");
					}
					else
					{
						if(loadExists(file))
						{
							says("", "Success. You should be able to use this method of saving.");
						}
					}
				}
				case 0:
				{
					says("", "Unfortunately, this method of saving will cause you to lose some minor game progress, but nothing that couldn't be fixed in 5 minutes or so. If you experience difficulties, contact solovid (solovid.net).");
					says("", "Write the following codes (listed as errors) down (in order) to be able to load your progress. Alternately, take a screen shot of the codes and save the image for later reference.");
					says("", "To take a screen shot, press the 'PrtScn / SysRq' key located to the top right of your keyboard. Then open Paint, click paste (or press Ctrl + V), and save the image.");
					says("", "If you are running Windows Vista or later, you can also take a screenshot by searching for the program 'Snipping Tool' in your start menu and following its directions.");
					saveFunction.codeSave();

//			saveFunction.fileSave();
//			debugger("File should now be saved under " + ucase(name) + ".");
				}
			}
			}
			else
			{
				says("", "You have not yet reached a point from which you can save. Try again later.");
			}
		}
		//Quit
		case 4:
		{
			says("", "Are you sure? All unsaved progress will be lost.");
			cCMap = cCursorMap();
			cCMap->setFont("Teletype", 18);
			cCMap->addOption("Quit", 15, 45);
			cCMap->addOption("Cancel", 15, 75);
			input = cCMap->runCursorMap();
			cCMap->release();
			if(input == 0)
			{
				windows();
			}
		}
		case 5:
		{
	if(getBoardName() == "teachCrystal.brd")
	{
		says("", "You can't retreat from this map.");
//		renderNow(0);
		send("teachCrystal.brd", playerx[0], playery[0], 3);
//		send("teachCrystal.brd", playerx[0], playery[0], 3);
		newPlayer("graySplit.tem");
//		end();
	}
	elseif(getBoardName() ~= "work.brd" && getBoardName() ~= "land.brd" && getBoardName() ~= "triyellow.brd" && getBoardName() ~= "stuck.brd")
	{
			says("", "Are you sure you want to continue to go home?");
			if(cMWinChoice("Yes I want to go home.", "No I want to stay here.") == 0)
			{
				for(index = 0; index < 10; index++)
				{
					kill(itemPos[index]);
				}
				global(juirr) = castInt(juirr);
				renderNow(0);
				send("home.brd", 3, 2, 3);
				end();
			}
			else
			{
				end();
			}
	}
	else
	{
		says("", "You can't retreat from this map.");
		
	}
		}
		case 6:
		{
:testing
			says("", "You have now accessed the internal testing menu for PathFinder.");
			says("", "Select option:");
			if(cMWinChoice("Other Commands", "Display variable"))
			{
				var = cPrompt("Enter variable.");
				RPGCode("debugger(" + var + ");");
				end();
			}
			says("", "Select option:");
			elseif(cMWinChoice("Other Commands", "Send();"))
			{
				send(cPrompt("Board"), cPrompt("x"), cPrompt("y"), cPrompt("layer"));
				end();
			}
/*			says("", "Select option:");
			elseif(cMWinChoice("Other Commands", "setAmbientLevel()"))
			{
//				setAmbientLevel(1, 1, 1);
				setAmbientLevel(cPrompt("r"), cPrompt("g"), cPrompt("b"));
				newPlayer("graySplit.tem");
		//		pause();
				addPlayer("select.tem");
		//		pause();
				putPlayer(playerHandle[1], playerx[0] + 1, playery[0] + 1, playerlayer[0]);
		//		pause();
				destroyPlayer(playerHandle[1]);
				end();
			}*/
/*			says("", "Select option:");
			elseif(cMWinChoice("Other Commands", "load()"))
			{
				load(dirSav("Select a file.", 0, 0, 10, ""));
				pause();
				end();
			}*/
			says("", "Select option:");
			elseif(cMWinChoice("None of these", "Run Code"))
			{
				code = cPrompt("Please enter RPGCode. (Ctrl accesses extra characters)");
				debugger("Running: " + code);
				RPGCode(code);
				end();
			}
		}
	}

}
:menuEnd
fontSize(18);
end();

function itemUseExists(file)
{
	setErrorHandler(:noSuchProgram); 
	openFileInput(file, "Prg"); 
	closeFile(file); 
	return 1; 
:noSuchProgram
	return 0; 
}

function loadExists(file)
{
	setErrorHandler(:noSuchSav);
	load(file);
	return 1;
:noSuchSav
	return 0;
}








