//-----------------------------------------------------------
//  RPGToolkit 3.1.0 Basic Startup Program. (An Altered Course mod)
//-----------------------------------------------------------

// Include the system library.
#include "system.prg"
autolocal(0);
include("0helpful.prg");
include("cPrompt.prg");

// Some initial settings.
font("lucida sans");//font("Comic Sans MS");
fontSize(18);
bold(true);

//juirrColor = 2;

fprg = "blank.prg";
gprg = "blank.prg"; //change to slash
hprg = "blank.prg";
jprg = "blank.prg";
kprg = "blank.prg";
rprg = "blank.prg";
tprg = "blank.prg";
yprg = "blank.prg";
vprg = "blank.prg";
bprg = "blank.prg";
nprg = "blank.prg";
mprg = "menu.prg";
spaceprg = "itemPickup.prg";
enterprg = "blank.prg";

global(startticks) = getTickCount();

autoLocal(1);

//global(gamestate) = 6;
spriteTranslucency(25);

// Default menu and battle systems.
menuGraphic("layout.png");
fightMenuGraphic("mwin.jpg");
winGraphic("mwin.jpg");
//setMwinTranslucency(60);
clear();
wav("fight.wav");
cnv = createCanvas(640, 480);
setImageTransparent("SoloVid1_2.png", 120, 90, 400, 300, 255, 255, 255, cnv);
italics(1);
fontSize(14);
colorRGB(255, 255, 255);
pixelText(500, 440, "Press ENTER.", cnv);
pixelText(500, 460, "No mice allowed.", cnv);
italics(0);
fontSize(18);
drawCanvas(cnv, 0, 0);
//delay(1.5);
pause();

//hotKeyCls();

// Create a cursor map to allow the user to select an option.
// Enter a while loop to allow the cursor map to be rerun if
// the user cancels loading a saved game. If "New Game" or 
// "Quit" is chosen, the loop only runs once.

while (true)
{
	// Call a method to draw the title.
	drawTitle();
	

	cCMap = cCursorMap();
	cCMap->setFont("times new roman"/*"Calligrapher"*/, 22);
	cCMap->textColor(0, 0, 0);
	cCMap->addOption("New Game", 400, 185);
	cCMap->addOption("Load Game", 400, 222);
	cCMap->addOption("Credits", 400, 258);
	cCMap->addOption("Quit", 400, 296);
//	cCMap->addOption("Alpha Test", 400, 143);
	res = cCMap->runCursorMap();
	cCMap->release();

	colorRGB(255, 255, 255);
	fontSize(18);
	
	// Act on the user's choice.
	switch (res)
	{
		case (4)
		{
autoLocal(0);
juirrColor = 1;
		juirr = 1;
		gold = 9000;
		name = "Grant";
		gamestate = 6;

		autolocal(1);
spriteTranslucency(25);
itemAdd("jar");
itemAdd("axe");
itemAdd("fishingrod");
//		global(yellowtemplate) = "hammer,grapes,needle,yarn,driftwood,firefly,unlitlantern,lantern,boot,leather";
//global(yellowcrystal) = "hammer,grapes,needle,yarn,driftwood,0,0,0,0,0";
global(equipment) = "redcrystal,yellowcrystal,bluecrystal,0"//"redcrystal,yellowcrystal,bluecrystal,greencrystal";
	send("home.brd", 3, 2, 3);
		run("newGamestate.prg");
	end();
	
		}
		case (0)
		{
			// New game: run the intro method.
//			global(name) = prompt("What is your name?");
			intro();
			//cruc();
			global(gamestate) = 0;
			global(juirr) = 0;
			global(equipment) = "0,0,0,0";
			creation();
			send("garden.brd", 3, 3);
run("newGamestate.prg");
			end();
		}
		case (1)
		{
				cCMWin = cMWin("");
				cCMWin->noPause = .2;
				cCMwin->shift("bottom");
				cCMWin->say("How do you want to load your game?");
				cCMWin->release();
			if(pause() == "D")
			{
				if(pause() == "L")
				{
					devLoad();
				}
			}
//			says("", "How do you want to load your game?");
			hl = cMWinChoice("Use code", "Load from a file");
			if(hl == 0)
			{
				saveFunction.codeLoad();
				global(name) = cPrompt("What is your name?");
				send("home.brd", 3, 2, 3);
				end();
//				devLoad();
			}
			else
			{
//				saveFunction.fileLoad();
//			}
//			customLoad();
			// Load game. Show load screen and obtain chosen file.
			file = dirSav("Select a saved file to load", 0, 15, 0, "");

			if (file ~= "CANCEL")
			{
				// "CANCEL" returned if the user cancelled.
				load(file);
				intro();
				send("home.brd", 3, 2, 3);
				end();
			}
			}
		}
		case (2)
		{
			font("Times New Roman");
			clear();
			text(14, 10, "Developed by:");
			text(14, 11.5, "SoloVid (solovid.net)");
			text(14, 14, "Created using:");
			text(14, 15.5, "RPG Toolkit (rpgtoolkit.net)");
			text(4, 19, "This game is intended to be redistributed freely by any means, form, or fashion.");
			text(4, 20, "It may not be sold for profit.");
			pause();
			delay(.3);
		}
		case (3)
		{
			// Exit to windows.
			windows();
		}
	}
}


//-----------------------------------------------------------
// Draw the title sequence
//-----------------------------------------------------------
method drawTitle()
{
	// Clear any previous images and set up a title screen.

	// Play a music file.
	//mediaPlay("PathFinder4.mid");
	mediaPlay("pathfinder1.mp3");

//	bitmap("title_1.png");
	setImage("title_4.png", 0, 0, 640, 480);
	//text(1.5, 3, "PathFinder");
}

//-----------------------------------------------------------
// Run the game's introduction
//-----------------------------------------------------------
method intro()
{
	// Show the story and wait until the user presses
	// a key before finishing.

//Custom mWin test
//	myMWin = cMWin("Someone");
//	myMWin->backGround("cMWin_2.png");
//	myMWin->winFont("UNICORN");
//	myMWin->shift("bottom");
//	myMWin->say("Wouldn't it be cool if this system were rigged in such a way that you could choose fonts, message window backgrounds, the vertical alignment of the message window box, or even leave out the name? ... Oh, wait: it is!");
//	myMWin->release();

/*	says("", "There once was a probe created with but one purpose:");
	says("", "pathFind();");*/
	clear();
	isCnv = createCanvas(640, 480);
	font("Lucida Sans");
	italics(1);
	pixelText(200, 100, "Hearing, but not hearing.", isCnv);
	pixelText(200, 150, "Seeing, but not seeing.", isCnv);
	pixelText(200, 200, "Their hearts are calloused.", isCnv);
	pixelText(200, 250, "Their ears are deaf.", isCnv);
	pixelText(200, 300, "Their eyes are blind.", isCnv);
	drawCanvas(isCnv, 0, 0);
	delay(2);
	pause();
	clear();
	clear(isCnv);
	pixelText(200, 100, "If they were not, they might:", isCnv);
	pixelText(200, 150, "See with their eyes,", isCnv);
	pixelText(200, 200, "Hear with their ears,", isCnv);
	pixelText(200, 250, "Understand with their hearts,", isCnv);
	pixelText(200, 300, "And alter course to find remedy.", isCnv);
	drawCanvas(isCnv, 0, 0);
	killCanvas(isCnv);
	fadeMedia();
	pause();
	italics(0);
	//playerSpeed(playerHandle[0], .025);
}


function creation()
{
	mediaPlay("vip - mountain1.mid");
	clear();
	createCanvas(640, 480, canv); 
	inc = 5;
	for(tint = 0; tint < 100; tint++)
	{
		setVolume(tint);
		setImageAdditive("actualGarden2.png", 0, 0, 640, 480, tint, canv);
		drawCanvas(canv, 0, 0);
		clear(canv);
		tint = tint + inc;
		if(get() == "ENTER")
		{
			inc = 10;
		}
	}
	setVolume(100);
	setImage("actualGarden2.png", 0, 0, 640, 480, canv);
	drawCanvas(canv, 0, 0);
	clear(canv);
	delay(.5);
	killCanvas(canv);
}


function cruc()
{
colorRGB(1, 1, 1);
fillRect(0, 0, 640, 480, cnvRenderNow);
renderNow(1);
send("village.brd", 54, 55, 3);
mediaStop();
for(index = 1; index <= 9; index++)
{
	itemLocation(index, ix, iy, il)
	putItem(index, ix, iy, il);
}
layerPut(53, 54, 3, "");
layerPut(53, 55, 3, "");
layerPut(52, 55, 3, "");
layerPut(52, 56, 3, "");
nullVector(38);
nullVector(39);
nullVector(40);
nullVector(41);
layerPut(55, 55, 2, "NPC2.tst13");
delay(.5);
renderNow(0);
clear(cnvRenderNow);
layerPut(55, 55, 2, "NPC2.tst13");
delay(.5);
mediaPlay("vip - castle or pirate ship.mid");

says("Hepher", "...with no consequence.");
says("Hepher", "Now is the time we must right this wrong and finish him off.");
says("Hepher", "PathFinder, if you will...");

pause();
playerDirection(playerHandle[0], tkDIR_E);
pause();
it = itemExists(55, 54, 3);
itemSpeed(it, 1);
itemPath(it, 0, 55, 53);
delay(.5);
itemSpeed(it, .2);
itemPath(it, 0, 55, 54);
//fade(3);
wordCanvas("Years before...", 2);
fadeMedia();
}

function devLoad();
{
	says("", "Developer load-out 'An Altered Course' Release 1.02");
	if(cPrompt("Password?") ~= "beta")
	{
		debugger("Wrong password. Please select another option.");
		return 0;
	}
	global(gamestate) = cPrompt("gamestate?");
	global(name) = cPrompt("name?");
	global(juirr) = castNum(cPrompt("juirr?"));
	global(gold) = castNum(cPrompt("gold?"));
	global(equipment) = cPrompt("equipment?");
	send(cPrompt("Board?"), cPrompt("x"), cPrompt("y"), cPrompt("l"));
	run("newGamestate.prg");
	end();
}



