autoLocal(1);
include("0helpful.prg");
include("system.prg");

//after push, 9 treasure chests available
//variable: global(bluecrystal) = "hammer,,,lantern,,"
//global(bluetemplate) = "ore,blankscroll,inkwell,feather,anvil,pail,waterpail,snapdragon,wheel,gear,brick,glasscube";
//Shovel->ore;parchment,ink,feather->scroll(prophet)->anvil(cyamys);pail->waterpail;moneybags->seeds(pam)->snapdragon;wheel,gear,brick(given back)->machine(stan)->glasscube(selucis)

function requiredNext(string)
{
	split(bluetemplate, ",", ingr);
	split(bluecrystal, ",", found);
	for(index = 0; index <= 11; index++)
	{
		if(found[index] == ingr[index]) { }
		elseif(string == ingr[index])
		{
			return 1;
		}
		else
		{
			return 0;
		}
	}
	return 0;
}

function saveItemC(string)
{
	split(bluetemplate, ",", ingr[]);
	for(index = 0; index <= 11; index++)
	{
		if(string == ingr[index])
		{
			split(bluecrystal, ",", ingred[]);
			global(bluecrystal) = "";
			for(sec = 0; sec <= 11; sec++)
			{
				if(index == sec)
				{
					global(bluecrystal) += string + ",";
					itemRemove(string);
				}
				else
				{
					global(bluecrystal) += ingred[sec] + ",";
				}
			}
			global(bluecrystal) = left(bluecrystal, len(bluecrystal) - 1);
		}
	}
//	debugger(yellowcrystal);
}

lew = "Mutirna";

says("", "Do you have something to give Mutirna?");
input = cMWinChoice("Yes", "No");
if(input == 0)
{
	item = itemSelect();
}
else
{
	item = 0;
}

switch(gamestate)
{
	case 4:
	{
		if(item ~= 0)
		{		
			if(item == "needle")
			{
				lewaei.saveItem("needle");
				says(lew, "Excellent! Thank you very much!");
			}
			elseif(item == "yarn")
			{
				lewaei.saveItem("yarn");
				says(lew, "Oh wonderful! I will get to work right away.");
			}
			else
			{
				says(lew, "Why would I have need of such a thing?");
			}
		}
		if(ingredient(yellowcrystal, 2) == 0)
		{
			says(lew, "I am in dire need of a good needle. If you would be so kind as to fetch me one, I would be most willing to make something for you.");
		}
		elseif(ingredient(yellowcrystal, 3) == 0)
		{
			says(lew, "Now all I lack is a royal purple...");
		}
		elseif(itemInInventory("tapestry") == 0 && itemInInventory("splint") == 0 && itemInInventory("firefly") == 0 && ingredient(yellowcrystal, 5) == 0)
		{
			says(lew, "Ahh. My masterpiece for you: a beautiful, hand-woven tapestry. Please do not lose it; it took me many an hour.");
			itemAdd("tapestry");
		}
	}
	case 5:
	{
		if(bluecrystal == bluetemplate && itemInInventory("unfincrystal") == 0/* && itemInInventory("bluemedal") == 0*/)
		{
			says(lew, "All done. Take this to Raca to have it completed.");
			itemAdd("unfincrystal"); 
		}
		else
		{
		itemLocation("source", mx, my, ml);
		if(mx == 7 && my == 3)
		{
		if(item ~= 0)
		{
			if(requiredNext(item) && item ~= "blankscroll" && item ~= "inkwell" && item ~= "feather" && item ~= "writtenscroll" && item ~= "pail" && item ~= "wheel" && item ~= "gear" && item ~= "brick")
			{
				saveItemC(item);
				says(lew, "Ooh. Let me put this away.");
				delay(.2);
				putItem(0, 2, 6, 3);
			}
			else
			{
				says(lew, "I don't want that!");
			}
		}
		if(ingredient(bluecrystal, 0) == 0)
		{
			says(lew, "For starters, I am going to need some real metal--probably raw material from the ground.");
		}
		elseif(ingredient(bluecrystal, 4) == 0)
		{
			global(ihaPos) = 5;
			says(lew, "Now where did I put that anvil?");
		}
		elseif(ingredient(bluecrystal, 6) == 0)
		{
			kill(ihaPos);
			global(hepPos) = 5;
			says(lew, "Some water from the old ocean would be useful. It carries some interesting properties.");
		}
		elseif(ingredient(bluecrystal, 7) == 0)
		{
			global(cyaPos) = 5;
			says(lew, "Pollen from the Snapdragon flower.");
		}
		elseif(ingredient(bluecrystal, 11) == 0)
		{
			global(lewPos) = 5;
			says(lew, "Finally, I need a clear glass prism, a tesseract in its own right. Like the one Selucis has.");
		}
		else
		{
			says(lew, "Mm-Hmmm.");
		}
		}
		else
		{
			says(lew, "If you want me to do something for you, you are going to have to catch me while I am in the zone for working.");
		}
		}
	}
	case 6:
	{
		says(lew, "Not lookin' too good these days. Looks like you've got a problem on your...hands.");
	}
	default:
	{
		says(lew, "It gets lonely here in my shack all alone knitting by myself.");
	}
}






