autolocal(1);
include("0helpful.prg");
include("system.prg");
//Raca
if(gamestate > 1)
{
	raca = "Raca"
}
else
{
	raca = "Unknown Person"
}

if(gamestate >= 4 && gamestate ~= 7)
{
	if(altJuirr == 1)
	{
		kill(altJuirr);
		global(juirrColor) = 1;
		says(raca, "Can't recharge anymore? Bummer.");
		says(raca, "Hey, I'll help you out. Just come to me when you need to recharge.");
	}
	if(juirrColor == 1)
	{
		switch(gamestate)
		{
			case 4:
			{
				says(raca, "I refilled your juirr for you.");
				global(juirr) = 2;
			}
			case 5:
			{
				says(raca, "I refilled your juirr for you.");
				if(random(3) ~= 1)
				{
					global(juirr) = 2;
				}
				else
				{
					global(juirr) = 1;
					says(raca, "That's odd....");
					says(raca, "Your suit doesn't seem to be charging to max at the moment.");
				}
			}
			case 6:
			{
				says(raca, "I refilled your juirr....");
				global(juirr) = 1;
				says(raca, "I'm really sorry, but your suit isn't holding the charge it should--almost like....");
				says(raca, "I'm sure once you get the next upgrade to your suit, it will be all fixed.");
			}
		}
	}
}

switch(gamestate)
{
	case 0:
	{
		if(locationNearby(15, 66, 1))
		{
			says(raca, "Need some help with that rock?")
			says(raca, "You know. As impressive as you are, you can do far too little with your current hardware.");
			itemPath(0, 0, 17, 66);
			delay(.5);
			putItem(0, 17, 64, 1);
			delay(.5);
			itemPath(9, 0, 17, 62);
			delay(1);
			itemPath(0, 0, 17, 63);
			putItem(0, 17, 63, 1);
		}
		else
	{
		says(raca, "You want to be able to do stuff like that? Take this new suit, and you will be able to do so much more! (Abilities not inherent to suit.) You can upgrade this suit to gain new abilities--abilities which combat mine or even Dr. Y. Hiwhus's!");
		says(raca, "Disclaimer: you cannot remove this suit once you have donned it. But don't worry. No one will notice it, and I won't tell anybody.");
		says(raca, "Here you go!");
		mediaStop();
		newPlayer("graySplit.tem");
		says(raca, "Oh, by the way, you need juirr to power that suit.");
		global(gamestate)++;
		itemPath(0, 0, 17, 64);
//		nullVector(25);
//		boardSetVectorPoint(25, 0, 544, 1944, false);
//		boardSetVectorPoint(25, 1, 576, 1944, false);
//		boardSetVectorPoint(25, 2, 576, 1976, false);
//		boardSetVectorPoint(25, 3, 544, 1976, false);
		mediaPlay("vip - dungeon2.mid");
		says("", "Press M at any time to access the pause menu.");
//		wordCanvas("Password: SUIT", 2);
		//forceRedraw();
	}
	}
	case 2:
	{
		says(raca, "Hello, my friend! It's good to see you again! I'm so glad you can be here, free, in my hometown Semita Village. I'm sure you will love it here--ever so much more than Dr. Y. Hiwhus's place.");
		says(raca, "Enjoy your stay here, " + name + "!");
		says(raca, "Oh! While you are here, you might as well see if you can find a job.");
		says(raca, "And I meant what I told you about upgrading your suit. I'm sure there are plenty of people around town who would be willing to do that for you once you gain their trust. Ask around! You might find out something new.");
		global(gamestate) = 2.5;
	}
	case 3:
	{
		if(itemInInventory("unfincrystal"))
		{
			if(itemInInventory("redmedal"))
			{
				says(raca, "So you want me to energize this crystal for you? OK. You did a good job; now here you go.");
				says(raca, "I don't really care about that medal. Take it home, hang it up, show the world what you're made of.");
				says(raca, "Oh! You might want to note that sometimes weird things happen when you unleash energy like this in your suit.");
				itemRemove("unfincrystal");
				global(equipment) = "redcrystal,0,0,0";
				kill(redcrystal);
		//		says(raca, "This crystal will enable you to push heavy objects.");
		//		says("", "To push an object, simply walk into it.");
				global(gamestate)++;
				send("teachCrystal.brd", 5, 3, 3);
				run("newGamestate.prg");
			}
			else
			{
				says(raca, "You want me to energize this crystal for you? You've got to prove your aptitude first by earning a medal in my castle of trials.");
			}
		}
		else
		{
			branch(:def);
		}
	}
	case 4:
	{
		if(itemInInventory("unfincrystal"))
		{
			if(itemInInventory("yellowmedal"))
			{
				says(raca, "Energize? No problem.");
				says(raca, "Keep the medal; it will make a good decoration on your wall.");
				says(raca, "FYI: this crystal has a destructive nature about it.");
				itemRemove("unfincrystal");
				global(equipment) = "redcrystal,yellowcrystal,0,0";
				kill(yellowcrystal);
//				says("", "Press the G key to activate this ability.");
				global(gamestate)++;
				send("teachCrystal.brd", 16, 4, 3);
				run("newGamestate.prg");
			}
			else
			{
				says(raca, "If you want me to do this for you, get the yellow medal in the second level of the castle of trials.");
			}
		}
		else
		{
			branch(:def);
		}
	}
	case 5:
	{
		if(itemInInventory("unfincrystal"))
		{
			if(itemInInventory("bluemedal"))
			{
				says(raca, "You ought to show off that medal! It says a lot about you.");
				says(raca, "I've got this. Here you go!");
				itemRemove("unfincrystal");
				global(equipment) = "redcrystal,yellowcrystal,bluecrystal,0";
				kill(bluecrystal);
				kill(bluetemplate);
//				says(raca, "With this crystal's power, you can warp similarly to how you saw Mutirna do it.");
//				says("", "Pressing F, T, H, or V will activate this ability."/* take you two spaces in the corresponding direction. Not only will this make travel faster, but it will give you access to previously unavailable areas."*/);
				global(gamestate)++;
				send("teachCrystal.brd", 11, 4, 3);
				run("newGamestate.prg");
			}
			else
			{
				says(raca, "If you want me to do this for you, get the blue medal.");
			}
		}
		else
		{
			says(raca, "That new guys in town is here to cause nothing but trouble, that's what I say!");
		}
	}
	case 6:
	{
		if(sotPos == 6)
		{
			says(raca, "So what do you want me to about it?");
			says("Hepher", "He deserves to die. We want you to kill him.");
			says(raca, "Why is that? Sotiras, have you done anything wrong?");
			says("Sotiras", "...");
			says(raca, "No answer?");
			says(raca, "Who are you? Are you Dr. Y. Hiwhus's son?");
			says("Sotiras", "I am");
			says("Hepher", "What are you standing around for? Kill him!");
			says("Mutirna", "He's right. He will die.");
			says("Bernon", "Why not kill him? He certainly is causing problems.");
			says("Helen", "Off with him!");
			says(raca, "Fine. " + name + ", lead the way to the block outside.");
			global(selPos) = 6;
		}
		elseif(sotPos >= 7)
		{
			if(itemInInventory("unfincrystal"))
			{
				says(raca, "The final test: head up the tower to get the green medal.");
			}
			says(raca, "Good riddance! I am so glad Sotiras is gone now, and I can have some peace and quiet.");
		}
		else
		{
			says(raca, "It seems I am right about that Sotiras: no one else in town seems to have a good feeling about him either.");
		}		
	}
	case 7:
	{
		says(raca, "A new suit? I don't want to see you in that suit.");
	}
	default
	{
:def
		number = random(3);
		switch(number);
		{
			case 1:
			{
				says(raca, "I don't have anything for you right now. Come back again later.");
			}
			case 2:
			{
				says(raca, "Lookin' good. Lookin' good.");
			}
			case 3:
			{
				says(raca, "...");
			}
		}
	}
}









