autolocal(1);
include("0helpful.prg");
include("system.prg");
include("itemPickup.prg");

function digUp(item, tile, crystal, cryNum, description)
{
	if(crystal ~= 0)
	{
		split(equipment, ",", gear[]);
		if(gear[cryNum] ~= 0)
		{
			nothing();
			return 0;
		}
		split(crystal, ",", ingr[]);
		for(index = 0; index <= 25; index++)
		{
			if(item == ingr[index])
			{
				nothing();
				return 0;
			}
		}
	}
	if(itemInInventory(item) == 0)
	{
		layerPut(playerx[0], playery[0] - 1, playerlayer[0] + 1, tile);
		wav("item1Normal.wav");
		delay(1);
		layerPut(playerx[0], playery[0] - 1, playerLayer[0] + 1, "");
		itemAdd(item);
		yay(description);
	}
	else
	{
		nothing();
		return 0;
	}
}

board = getBoardName();
dx = playerx[0];
dy = playery[0];
l = playerLayer[0];

x = dx;
y = dy;

switch(playerDirection(playerHandle[0]))
{
	case 1:
	{
		dx++;
	}
	case 3:
	{
		dy++;
	}
	case 5:
	{
		dx--;
	}
	case 7:
	{
		dy--;
	}
}

if(getBoardTile(dx, dy, l - 1) == "custom3.tst25" || getBoardTile(x, y, l - 1) == "custom3.tst25")
{
	layerPut(dx, dy, l - 1, "");
	layerPut(x, y, l - 1, "");
	says("", "You dig a hole...");
	if(board == "waterworld.brd" && ((dx == 23 && dy == 3) || (x == 23 && y == 3)))
	{
		digUp("ore", "custom2.tst50", bluecrystal, 2, "some ore");
	}
	elseif(board == "ruins.brd" && ((dx == 25 && dy == 31) || (x == 25 && y == 31)))
	{
		digUp("jar", "ustom4.tst22", greencrystal, 3, "a simple jar");
	}
	elseif(board == "push2.brd" && dx == 38 && dy == 36)
	{
		digUp("pinecone", "custom4.tst18", greencrystal, 3, "a prickly pine cone");
	}
	else
	{
		delay(.2);
		says("", "But nothing is in it.");
	}
}
else
{
	says("", "This doesn't look like a good place to dig.");
}

