autoLocal(1);
include("0helpful.prg");
include("system.prg");

playerLocation(playerHandle[0], x, y, l);
switch(playerDirection(playerHandle[0]))
{
	case 1:
	{
		cutTree(x + 1, y, x, y);
	}
	case 5:
	{
		cutTree(x - 2, y, x, y);
	}
	default
	{
	}
}

function cutTree(blx, bly, x, y)
{

	//Tree tiles
	l[1] = "custom2.tst6"; 
	r[1] = "custom2.tst7";
	l[2] = "custom2.tst8"; 
	r[2] = "custom2.tst9";
	l[3] = "custom2.tst10"; 
	r[3] = "custom2.tst11";

	bl = "custom3.tst29";
	br = "custom3.tst30";

	birdL = "custom3.tst37";
	birdR = "custom3.tst35";
	birdO = "custom3.tst36";

	if(getBoardName() == "mountains.brd" && x == 19 && y == 17 && playerDirection(playerHandle[0]) == 5)
	{
		inSpot = 1;
//		debugger("In spot");
	}

	setResumeNextHandler();
//	debugger("cutTree() initiated");
	for(layer = 2; layer < 8; layer++)
	{
		if(getBoardTile(blx, bly, layer) == l[3])
		{
			success = 1;
		}
	}
	if(success ~= 1)
	{
//		debugger("test failed");
		kill(success);
		end();
	}
	kill(success);
//	debugger(getBoardName());
	if(getBoardName() == "village.brd")
	{
		mWin("These trees are public property. Please don't cut them down.");
		pause();
		end();
	}
	if(inSpot ~= 1)
	{
		layerPut(blx, bly, 2, bl);
		layerPut(blx + 1, bly, 2, br);
	}
	cx = blx;
	cy = bly;
	for(index = 3; index > 0; index--)
	{
//		debugger("for: l" + index);
		for(layer = 2; layer < 8; layer++)
		{
//			debugger("for: " + layer);
			if(getBoardTile(cx, cy, layer) == l[index])
			{
//				debugger("putting blank");
				layerPut(cx, cy, layer, "");
			}
		}
		cy--;
	}
	cx = blx + 1;
	cy = bly;
	for(index = 3; index > 0; index--)
	{
		for(layer = 2; layer < 8; layer++)
		{
			if(getBoardTile(cx, cy, layer) == r[index])
			{
				layerPut(cx, cy, layer, "");
			}
		}
		cy--;
	}
	if(inSpot == 1)
	{
		layerPut(17, 17, 2, "custom3.tst34");
		layerPut(16, 17, 2, "custom3.tst33");
		layerPut(15, 17, 2, "custom3.tst32");
		nullVector(2);
	}
	if(getBoardTile(blx, bly - 2, 5) == birdL)
	{
		delay(.5);
		layerPut(blx, bly - 2, 5, "");
	}
	if(getBoardTile(blx + 1, bly - 2, 5) == birdR)
	{
		delay(.5);
		layerPut(blx + 1, bly - 2, 5, "");
	}
	if(getBoardTile(blx + 1, bly - 2, 5) == birdO)
	{
		delay(.5);
		layerPut(blx + 1, bly - 2, 5, "");
		layerPut(blx + 1, bly - 1, 3, "custom2.tst48");
	}
}




