autoLocal(1);
include("0helpful.prg");
include("system.prg");

//variable: global(yellowcrystal) = "logs,matches,conch,essenceofgreen,hourglass,twig,jar,herb,mushroom,mleaf,pinecone,cherry,strawberry,perfume,shield,helmet,blackpowder,waterflask,rope,bead,cane,watch,stone"

function requiredNext(string)
{
	split(greentemplate, ",", ingr);
	split(greencrystal, ",", found);
	for(index = 0; index <= 23; index++)
	{
		if(found[index] == ingr[index]) { }
		elseif(string == ingr[index])
		{
			return 1;
		}
		else
		{
			return 0;
		}
	}
	return 0;
}

function saveItemD(string)
{
	split(greentemplate, ",", ingr[]);
	for(index = 0; index <= 23; index++)
	{
		if(string == ingr[index])
		{
			split(greencrystal, ",", ingred[]);
			global(greencrystal) = "";
			for(sec = 0; sec <= 23; sec++)
			{
				if(index == sec)
				{
					global(greencrystal) += string + ",";
					itemRemove(string);
				}
				else
				{
					global(greencrystal) += ingred[sec] + ",";
				}
			}
			global(greencrystal) = left(greencrystal, len(greencrystal) - 1);
		}
	}
//	debugger(yellowcrystal);
}

ber = "Bernon";

says("", "Do you have something to give Bernon?");
input = cMWinChoice("Yes", "No");
if(input == 0)
{
	item = itemSelect();
}

switch(gamestate)
{
	case 2:
	{
		says(ber, "Hey!!! You're that new kid Raca has been talking about. You ought to swing by his place to say hello.");
	}
	case 2.5:
	{
		says(ber, "Need something to do? Hepher has been complaining alot recently. That poor old guy really needs help.");
	}
	case 3:
	{
		if(item ~= 0 && item ~= "")
		{
			says(ber, "No thank you.");
		}
		says(ber, "Where do all these people work? Well, some just have a massive inheritance, some work for Hepher, some build things (like me), etc.");
	}
	case 4:
	{
		says(ber, "You sort of inspire me, " + name + ". I might just pull out the old forge one of these days.");
	}
	case 5:
	{
		says(ber, "People just need to take life more easy.");
	}
	case 6:
	{
		if(item ~= 0 && item ~= "")
		{
			if(requiredNext(item) && item ~= "conch" && item ~= "jar" && item ~= "herb" && item ~= "mushroom" && item ~= "mleaf" && item ~= "pinecone" && item ~= "cherry" && item ~= "strawberry" && item ~= "shield" && item ~= "helmet" && item ~= "rope" && item ~= "cane" && item ~= "watch")
			{
				saveItemD(item);
				says(ber, "Let me take care of this for you.");
//				fade(3);
			}
			else
			{
				says(ber, "Hmm. No. That won't work.");
			}
		}
		if(ingredient(greencrystal, 0) == 0)
		{
			says(ber, "So I've officially taken a liking to you and am going to help you out. I need to be able to build a fire to get my forge up and running.");
		}
		elseif(ingredient(greencrystal, 1) == 0)
		{
			says(ber, "I need to be able to light the fire too.");
		}
		elseif(ingredient(greencrystal, 3) == 0)
		{
			says(ber, "This crystal is going to be green, so I need to make it out of green.");
		}
		elseif(ingredient(greencrystal, 4) == 0)
		{
			global(selPos) = 1;
			says(ber, "I need glass to be able to contain the green.");
			says(ber, "Used glass and/or sand to make glass would be nice. You might find this in the old city.");
		}
		elseif(ingredient(greencrystal, 5) == 0)
		{
			global(qyuPos) = 1;
			says(ber, "A vital componenent is an element from nature. Preferably something frozen.");
		}
		elseif(ingredient(greencrystal, 13) == 0)
		{
			kill(lewPos);
			global(jeoPos) = 1;
			says(ber, "Now I need a sweet aroma with which to fill the crystal.");
		}
		elseif(ingredient(greencrystal, 16) == 0)
		{
			global(berPos) = 1;
			says(ber, "A bit of black powder to give the crystal a bang would be appreciated.");
		}
		elseif(ingredient(greencrystal, 17) == 0)
		{
			global(staPos) = 1;
			says(ber, "Next I need a flask cool, pure spring water.");
		}
		elseif(ingredient(greencrystal, 19) == 0)
		{
			kill(zacPos);
			says(ber, "Looks like I didn't get quite enough glass the first go-round.");
		}
		elseif(ingredient(greencrystal, 22) == 0)
		{
			global(hepPos) = 3;
			global(ihaPos) = 3;
			global(selPos) = 3;
			says(ber, "Finally, I need some stone to work with.");
		}
		else
		{
			if(itemInInventory("unfincrystal") == 0)
			{
				says(ber, "Ok. Now I can finish this.");
				says(ber, "You know the drill. Take this crystal to Raca to energize it.");
				itemAdd("unfincrystal");
			}
			else
			{
				says(ber, "I've done all I can for you. You need to see Raca now.");
			}
		}
//		send(getBoardName(), playerx[0], playery[0], playerlayer[0]);
	}
	case 7:
	{
		says(ber, "So after all my hard work you are just going to bail on me? I see how it is.");
	}
}




