//Universal item pickup
autoLocal(1);
include("0helpful.prg");
include("system.prg");

board = getBoardName();
//Remove ".brd"
split(board, ".", splt[]);
board = splt[0];

function open()
{
	if(getBoardTile(dx, dy, playerLayer[0]) == "custom3.tst38")
	{
		says("", "The treasure chest lies open...");
	}
	else
	{
		says("", "You open the treasure chest...");
		layerPut(dx, dy, playerLayer[0], "custom3.tst38");
		delay(.5);
		pause();
	}
	//layerPut(dx, dy, playerLayer[0], "");
}
function nothing()
{
	says("", "...but nothing is in it.");
}
function showOff(tile)
{
	wav("item1Normal.wav");
	if(playery[0] < dy)
	{
		prev = getBoardTile(dx, dy, playerLayer[0]);
		layerPut(dx, dy, playerLayer[0], tile);
		delay(1);
		layerPut(dx, dy, playerLayer[0], prev);
	}
	else
	{
		prev = getBoardTile(dx, dy - 1, playerLayer[0]);
		layerPut(dx, dy - 1, playerLayer[0], tile);
		delay(1);
		layerPut(dx, dy - 1, playerLayer[0], prev);
	}
}
function pickUp(item, tile, crystal, cryNum, description)
{
	open();
/*	if(crystal ~= 0)
	{*/
		split(equipment, ",", gear[]);
		if(gear[cryNum] ~= 0)
		{
			nothing();
			return 0;
		}
		split(crystal, ",", ingr[]);
		for(index = 0; index <= 24; index++)
		{
			if(item == ingr[index])
			{
				nothing();
				return 0;
			}
		}
/*	}*/
	if(itemInInventory(item) == 0)
	{
		showOff(tile);
		itemAdd(item);
		yay(description);
	}
	else
	{
		nothing();
		return 0;
	}
}
//^^ with item in crystal being = dItem
function pickUp(item, dItem, tile, crystal, cryNum, description)
{
	open();
	if(crystal ~= 0)
	{
		split(equipment, ",", gear[]);
		if(gear[cryNum] ~= 0)
		{
			nothing();
			return 0;
		}
		split(crystal, ",", ingr[]);
		for(index = 0; index <= 10; index++)
		{
			if(dItem == ingr[index])
			{
				nothing();
				return 0;
			}
		}
	}
	if(itemInInventory(item) == 0 && itemInInventory(dItem) == 0)
	{
		showOff(tile);
		itemAdd(item);
		yay(description);
	}
	else
	{
		nothing();
		return 0;
	}
}


switch(board)
{
//forest
	case "forestr":
	{
		if(lookingAt(14, 25, 4))
		{
			open();
			if(itemInInventory("pentagon") == 0)
			{
				itemAdd("pentagon");
				showOff("custom5.tst4");
				yay("a blue pentagon");
			}
			else
			{
				nothing();
			}
		}
	}
//smduplex
	case "smduplex":
	{
		if(lookingAt(2, 2, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(6, 2, 3))
		{
			open();
			nothing();
		}
	}
	case "push2":
	{
	//gear
		if(lookingAt(14, 2, 5))
		{
			pickUp("gear", "custom4.tst7", bluecrystal, 2, "a gear");
		}
		elseif(lookingAt(17, 2, 5))
		{
			open();
			nothing();
		}
	//Unlit Lantern
		elseif(lookingAt(34, 4, 3))
		{
			pickUp("unlitlantern", "custom3.tst59", yellowcrystal, 1, "a lantern");
		}
	//Strange Flute
		elseif(lookingAt(22, 25, 3))
		{
			pickUp("strangeflute", "custom3.tst55", nonapplicable, nonapplicable, "a strange-looking flute");
		}
	//watch
		elseif(lookingAt(29, 26, 7))
		{
			pickUp("watch", "custom4.tst41", greencrystal, 3, "an old pocket watch");
		}
	//Hammer
		elseif(lookingAt(16, 36, 7))
		{
			pickUp("hammer", "custom2.tst61", yellowcrystal, 1, "a hammer");
		}
	//Tongs
		elseif(lookingAt(1, 48, 3))
		{
			pickUp("tongs", "custom2.tst51", redcrystal, 0, "a pair of tongs");
		}
	//Shovel
		elseif(lookingAt(23, 44, 3))
		{
			pickUp("shovel", "custom2.tst49", nonapplicable, nonapplicable, "a sturdy shovel");
		}
		elseif(lookingAt(43, 51, 5))
		{
			open();
			nothing();
		}
	//scroll
		elseif(lookingAt(27, 70, 3))
		{
			pickUp("blankscroll", "custom2.tst56", bluecrystal, 2, "some parchment");
		}
	}
	case "push2house":
	{
		if(lookingAt(2, 2, 3))
		{
			open();
			nothing();
		}
	//herb
		elseif(lookingAt(7, 3, 3))
		{
			pickUp("herb", "custom4.tst6", greencrystal, 3, "an herb");
		}
	}
	case "canyon":
	{
	//Grapes
		if(lookingAt(28, 7, 5))
		{
			pickUp("grapes", "custom3.tst50", yellowcrystal, 1, "a cluster of grapes");
		}
	//rope
		elseif(lookingAt(27, 15, 3))
		{
			pickUp("rope", "custom4.tst23", greencrystal, 3, "a length of rope");
		}
	//maple leaf
		elseif(lookingAt(28, 16, 5))
		{
			pickUp("mleaf", "custom4.tst19", greencrystal, 3, "a maple leaf");
		}
		elseif(lookingAt(24, 25, 3))
		{
			open();
			nothing();
		}
	//Lava
		elseif(lookingAt(16, 28, 3))
		{
			pickUp("lava", "custom3.tst44", redcrystal, 0, "a chunk of solidified lava");
		}
	//abacus
		elseif(lookingAt(19, 31, 3))
		{
			if(itemInInventory("glasses") == 0)
			{
				pickUp("abacus", "custom4.tst2", bluecrystal, 2, "a--hmmmm...--an abacus");
			}
			else
			{
				open();
				nothing();
			}
		}
	}
//lgduplex
	case "lgduplex":
	{
		if(lookingAt(7, 11, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(13, 2, 3))
		{
			if(getBoardTile(13, 2, 2) == "default.tst122")
			{
				pickUp("device", "custom4.tst46", nonapplicable, nonapplicable, "a strange, futuristic-looking device");
			}
		}
	}
//hepher
	case "hepher":
	{
	}
	case "work":
	{
		if(lookingAt(33, 50, 3))
		{
			open();
			nothing();
		}
	//Needle
		elseif(lookingAt(34, 50, 3))
		{
			pickUp("needle", "custom3.tst63", yellowcrystal, 1, "a needle");
		}
		elseif(lookingAt(35, 50, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(36, 50, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(37, 50, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(57, 46, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(59, 46, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(60, 46, 3))
		{
			pickUp("cane", "custom4.tst62", greencrystal, 3, "a weathered cane");
		}
		elseif(lookingAt(58, 48, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(57, 50, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(60, 50, 3))
		{
			open();
			nothing();
		}
	}
	case "workhouse":
	{
		if(lookingAt(4, 2, 3))
		{
			open();
			nothing();
		}
	}
	case "land":
	{
		if(lookingAt(4, 16, 3) || lookingAt(16, 9, 3) || lookingAt(14, 18, 3) || lookingAt(28, 16, 3) || lookingAt(26, 3, 3))
		{
			open();
			if(treasure)
			{
				split(treasure, ",", coord[]);
				if(lookingAt(coord[0], coord[1], 3))
				{
					showOff("custom3.tst61");
					itemAdd("sword");
					yay("a sword");
					says("", "Whose sword is this?");
					kill(treasure);
				}
				else
				{
					nothing();
				}
			}
			else
			{
				nothing();
			}
		}
	}
	case "hepher2":
	{
	}
	case "ruins":
	{
		if(lookingAt(15, 28, 3))
		{
			open();
			nothing();
		}
	//inkwell
		elseif(lookingAt(7, 32, 3))
		{
			pickUp("inkwell", "custom4.tst1", bluecrystal, 2, "an inkwell");
		}
	}
	case "ruinscastle":
	{
	//hourglass
		if(lookingAt(13, 1, 3))
		{
			pickUp("hourglass", "custom4.tst36", greencrystal, 3, "an hourglass");
		}
	//bomb
		elseif(lookingAt(25, 1, 3))
		{
			pickUp("bomb", "custom4.tst33", nonapplicable, nonapplicable, "a small explosive");
		}
	//rustykey
		elseif(lookingAt(1, 19, 3))
		{
			pickUp("rustykey", "custom4.tst34", nonapplicable, nonapplicable, "an old rusty key");
		}
	}
//nahtal
	case "nahtal":
	{
	//brick
		if(lookingAt(2, 2, 3))
		{
			pickUp("brick", "custom4.tst5", greencrystal, 3, "a brick");
			says("", "Hmmm.... There seem to actually be quite a few more bricks in the chest, but you don't need anymore right now.");
		}
		elseif(lookingAt(9, 5, 3))
		{
			open();
			nothing();
		}
	}
	case "waterworld":
	{
		if(lookingAt(47, 8, 3))
		{
			pickUp("map", "custom4.tst45", nonapplicable, nonapplicable, "some sort of map");
		}
	//Conch
		elseif(lookingAt(47, 28, 3))
		{
			pickUp("conch", "custom3.tst51", greencrystal, 3, "a conch shell");
		}
	//Sand Dollar
		elseif(lookingAt(26, 15, 3))
		{
			pickUp("sanddollar", "custom3.tst52", redcrystal, 0, "a sand dollar");
		}
		elseif(lookingAt(26, 18, 3))
		{
			open();
			nothing();
		}
	//Drift Wood
		elseif(lookingAt(7, 33, 3))
		{
			pickUp("driftwood", "custom3.tst53", yellowcrystal, 1, "some driftwood");
		}
	}
	case "cave":
	{
	//waterflask
		/*if(lookingAt(7, 6, 3))
		{
			pickUp("waterflask", "custom2.tst47", greencrystal, 3, "a flask of pure spring water");
		}*/
	//strawberry
		elseif(lookingAt(20, 6, 3))
		{
			pickUp("strawberry", "custom4.tst31", greencrystal, 3, "a fresh strawberry");
			open();
			nothing();
		}
		elseif(lookingAt(15, 35, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(16, 35, 3))
		{
			open();
			nothing();
		}
	//mushroom
		elseif(lookingAt(29, 38, 3))
		{
			pickUp("mushroom", "custom4.tst20", greencrystal, 3, "a strong-smelling mushroom");
		}
	//pail
		elseif(lookingAt(26, 43, 3))
		{
			pickUp("pail", "custom4.tst3", bluecrystal, 2, "a pail");
		}
	//wheel
		elseif(lookingAt(29, 54, 3))
		{
			pickUp("wheel", "custom4.tst4", bluecrystal, 2, "a wheel");
		}
	}
	case "stuck":
	{
		if(lookingAt(5, 5, 3))
		{
			pickUp("waterflask", "custom2.tst47", greencrystal, 3, "a flask of pure spring water");
		}
	}
	case "undercave":
	{
	//shield
		if(lookingAt(12, 46, 5))
		{
			pickUp("shield", "custom4.tst38", greencrystal, 3, "a shining shield");
		}
	}
//raca
	case "racacastle":
	{
		elseif(lookingAt(4, 8, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(11, 9, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(5, 10, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(8, 11, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(5, 15, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(8, 15, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(9, 15, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(8, 18, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(9, 18, 3))
		{
			open();
			nothing();
		}
	//Fine Powder
		elseif(lookingAt(3, 19, 3))
		{
			pickUp("finepowder", "custom3.tst57", redcrystal, 0, "some fine powder");
		}
		elseif(lookingAt(5, 19, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(6, 19, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(2, 21, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(4, 21, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(4, 23, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(6, 23, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(8, 24, 3))
		{
			open();
			nothing();
		}
	}
	case "trial1":
	{
		if(lookingAt(11, 23, 3))
		{
			pickUp("redmedal", "custom2.tst40", nonapplicable, 0, "a shiny red medal");
		}
		elseif(lookingAt(4, 3, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(12, 3, 3))
		{
			open();
			nothing();
		}
	}
	case "trial2":
	{
		if(lookingAt(32, 11, 3))
		{
			pickUp("yellowmedal", "custom4.tst9", nonapplicable, 1, "a glowing yellow medal");
		}
		elseif(lookingAt(11, 15, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(21, 15, 3))
		{
			open();
			nothing();
		}
	}
	case "trial3":
	{
		if(lookingAt(5, 22, 3))
		{
			pickUp("bluemedal", "custom3.tst45", nonapplicable, 2, "a cool blue medal");
		}
	}
	case "trialSideB":
	{
		if(lookingAt(33, 1, 3))
		{
			pickUp("greenmedal", "custom3.tst46", nonapplicable, 3, "the glowing green medal");
			run("ending1.prg");
		}
	}
//twin shop
	case "twins":
	{
	}
	case "apartment1":
	{
		if(lookingAt(4, 5, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(2, 5, 3))
		{
			open();
			nothing();
		}
	//Yarn
		elseif(lookingAt(2, 4, 3))
		{
			pickUp("yarn", "custom3.tst48", yellowcrystal, 1, "a ball of yarn");
		}
	//cherry
		elseif(lookingAt(2, 2, 3))
		{
			pickUp("cherry", "custom4.tst32", greencrystal, 3, "some cherries");
		}
	}
	case "apartment2":
	{
		if(lookingAt(2, 2, 3))
		{
			open();
			if(rent[1] == 1)
			{
				itemAdd("moneybag");
				showOff("custom2.tst55");
				yay("tenant's rent");
				kill(rent[1]);
			}
			else
			{
				nothing();
			}
		}
		elseif(lookingAt(4, 3, 3))
		{
			open();
			nothing();
		}
		elseif(lookingAt(6, 4, 3))
		{
			open();
			nothing();
		}
	}
//old lady
	case "oldlady":
	{
		if(lookingAt(3, 6, 3))
		{
			open();
			says("", "You see a hodge-podge of--what is this?");
		}
	}
	case "mountains":
	{
	//Icicle
		if(lookingAt(6, 17, 3))
		{
			pickUp("icicle", "custom3.tst56", redcrystal, 0, "an icicle");
		}
	//twig
		elseif(lookingAt(28, 24, 3))
		{
			pickUp("twig", "custom4.tst39", greencrystal, 3, "a frozen twig");
		}
	}
	case "undermountains":
	{
/*		if(lookingAt(6, 1, 3))
		{
			open();
			nothing();
		}*/
		elseif(lookingAt(2, 3, 5))
		{
			open();
			nothing();
		}
	}
}
kill(dx);
kill(dy);
