include("0helpful.prg");
include("system.prg");
autolocal(1);

says("", "Do you have something to give Jeof?");
input = cMWinChoice("Yes", "No");
if(input == 0)
{
	item = itemSelect();
}

je = "Jeof";

if(item ~= "")
{
	if(item == "sword")
	{
		says("Jeof", "Oh, you found my sword! I've been looking for that! A good man once said if you keep from losing your sword your fortune will never spoil. At least, I think that's how it went... But that is beside the point. Here is 300 coins as payment for this kindness you have shown me. Many thanks!");
		says("Jeof", "If you find my sword again, bring it right back here. I'm known for losing it often, especially in the Woodlands.");
		itemRemove("sword");
		global(gold) += 300;
	}
}

switch(gamestate)
{
	case 3:
	{
		says(je, "There are a lot of sights to see here in Semita Village. Have you gotten to see them yet? We have forests and mountains, and I've even been told that there are ruins of a city lying around somewhere.");
	}
	case 4:
	{
		says(je, "Hoho! All that would make this tavern any better would be a bit of music.");
		says(je, "That and a decent price for juirr. It's gotten so expensive!");
	}
	case 5:
	{
		says(je, "Earlier, Aosodin came and asked that new guy in town, So...s, what he would need to do to get Dr. Y. Hiwhus to like him again. Aosodin didn't seem too pleased with the answer. We all got a good laugh at him when he came back.");
	}
	case 6:
	{
		if(ingredient(greencrystal, 6) == 0)
		{
			if(item == "jar")
			{
				bernon.saveItemD("jar");
				says(je, "Oh good! Now we can actually make the jam!");
			}
			else
			{
				says(je, "I've always been a connoisseur of fine foods and drinks. I could whip you up something if you needed it.");
				says(je, "It sounds to me like Ihaturan craves an all-natural blend of jam. It's a pretty random recipe, so you'll just kind of have to bring me things you think might work. I'll tell you if they do. Before I can make the jam, I need a jar to put it in first.");
				says(je, "In the olden days, they used to make jars in the city. Maybe you could find some there somewhere buried in the rubble.");
			}
		}
		elseif(ingredient(greencrystal, 13) == 0 && itemInInventory("jam") == 0 && itemInInventory("perfume") == 0)
		{
			if(ingredient(greencrystal, 6) ~= 0 && ingredient(greencrystal, 7) ~= 0 && ingredient(greencrystal, 8) ~= 0 && ingredient(greencrystal, 9) ~= 0 && ingredient(greencrystal, 10) ~= 0 && ingredient(greencrystal, 11) ~= 0 && ingredient(greencrystal, 12) ~= 0)
			{
				says(je, "Ahh. A fine blend of only the finest materials to make the perfect jam. I do hope Ihaturan is pleased.");
				itemAdd("jam");
			}
			elseif(item == "herb" || item == "mushroom" || item == "mleaf" || item == "cherry" || item == "pinecone")
			{
				bernon.saveItemD(item);
				says(je, "I'll put that right in.");
				global(jeofWait) = 1;
			}
			elseif(item == "strawberry")
			{
				if(jeofWait ~= 1 && ingredient(greencrystal, 11) ~= 0 && ingredient(greencrystal, 10) ~= 0 && ingredient(greencrystal, 9) ~= 0 && ingredient(greencrystal, 8) ~= 0 && ingredient(greencrystal, 7) ~= 0)
				{
					bernon.saveItemD(item);
					says(je, "Oh yes, it's coming together nicely.");
				}
				else
				{
					says(je, "I'm not ready for that just yet.");
				}
			}
			elseif(item == "" || item == 0)
			{
				says(je, "It's a pretty random recipe, so you'll just have to play it by ear and bring me things you think will work.");
			}
			else
			{
				says(je, "Sorry. That's not one of the FINE ingredients I am looking for.");
			}
		}
		else
		{
			if(sotPos >= 7)
			{
				says(je, "Eh. He's gone now.");
			}
			else
			{
				says(je, "I'm not so sure about this Sotiras guy...");
			}
		}
	}
	case 7:
	{
		says(je, "So what if he's alive? If he's dead, he's dead. If he arose, he's alive.");
	}
}







