autoLocal(1);
include("0helpful.prg");
include("system.prg");

//after push, 9 treasure chests available
//variable: global(yellowcrystal) = "hammer,grapes,firefly,lantern,leather,"
//global(yellowtemplate) = "hammer,grapes,needle,yarn,driftwood,firefly,unlitlantern,lantern,boot,leather";

function requiredNext(string)
{
	split(yellowtemplate, ",", ingr);
	split(yellowcrystal, ",", found[]);
	for(index = 0; index <= 9; index++)
	{
		if(found[index] == ingr[index]) { }
		elseif(string == ingr[index])
		{
			return 1;
		}
		else
		{
			return 0;
		}
	}
	return 0;
}

function saveItem(string)
{
	split(yellowtemplate, ",", ingr[]);
	for(index = 0; index <= 9; index++)
	{
		elseif(string == ingr[index])
		{
			split(yellowcrystal, ",", ingred[]);
			global(yellowcrystal) = "";
			for(sec = 0; sec <= 9; sec++)
			{
				if(index == sec)
				{
					global(yellowcrystal) += string + ",";
					itemRemove(string);
				}
				else
				{
					global(yellowcrystal) += ingred[sec] + ",";
				}
			}
			global(yellowcrystal) = left(yellowcrystal, len(yellowcrystal) - 1);
		}
	}
//	debugger(yellowcrystal);
}

lew = "Lewaei";

switch(gamestate)
{
	case 3:
	{
		says(lew, "My great-grandfather was an accomplished pathfinder. He went all over the place finding treasure...hiding treasure.... You know, that sort of thing.");
	}
	case 4:
	{
		if(yellowcrystal == yellowtemplate && itemInInventory("unfincrystal") == 0/* && itemInInventory("yellowmedal") == 0*/)
		{
			says(lew, "This is it!");
			says(lew, "Of course, Raca still will have to finish it.");
			itemAdd("unfincrystal"); 
		}
		else
		{
			says("", "Do you have something to give Lewaei?");
			input = cMWinChoice("Yes", "No");
			if(input == 0)
			{
				item = itemSelect();
	//	debugger(item + " selected");
				if(item ~= 0)
				{
					if(requiredNext(item) && item ~= "needle" && item ~= "yarn" && item ~= "drifwood" && item ~= "unlitlantern" && item ~= "boot")
					{
						saveItem(item);
						says(lew, "Precisely what I was looking for!");
					}
					elseif(item == "unlitlantern")
					{
						says(lew, "I need a LIT lantern if anything. What I really need is a fire like that under the mountains.");
					}
					else
					{
						says(lew, "Not quite. Good try though.");
					}
				}
			}
			if(ingredient(yellowcrystal, 0) == 0)
			{
				says(lew, "You want my expertise to improve your suit?");
				says(lew, "I won't do it.");
				says(lew, "Why?");
				says(lew, "Because I lost my hammer that's why!");
			}
			elseif(ingredient(yellowcrystal, 1) == 0)
			{
				says(lew, "I need something--maybe a liquid--that will be both thin and sticky...and juicy!");
			}
			elseif(ingredient(yellowcrystal, 5) == 0)
			{
				says(lew, "Something is still missing...maybe some life light.");
			}
			elseif(ingredient(yellowcrystal, 7) == 0)
			{
				says(lew, "I'm gonna need more light than that! Light as deep as the rocks.");
			}
			elseif(ingredient(yellowcrystal, 9) == 0)
			{
				says(lew, "Hmm.");
				says(lew, "Maybe something durable yet flexible? Is that impossible to ask?");
			}
			else
			{
				says(lew, "...");	
				delay(1);
				says(lew, "Bingo!");
			}
		}
	}
	case 5:
	{
		says(lew, "Is it just me, or do you go to Raca's a lot? I bet you're fed up with having to constantly recharge. That can't work forever.");
	}
	case 6:
	{
		says("", "Do you have something to give Lewaei?");
		if(cMWinChoice("Yes", "No") == 0)
		{
			item = itemSelect();
		}
		if(item == "helmet" || item == "shield" || (ingredient(greencrystal, 14) ~= 0 && ingredient(greencrystal, 15) ~= 0 && itemInInventory("blackpowder") == 0 && ingredient(greencrystal, 16) == 0))
		{
			bernon.saveItemD(item);
			says(lew, "How did you know I wanted that?");
			if(ingredient(greencrystal, 14) ~= 0 && ingredient(greencrystal, 15) ~= 0)
			{
				says(lew, "Here is some black powder. Thanks for making my dream come true.");
				itemAdd("blackpowder");
			}
		}
		else
		{
			says(lew, "Is it just me, or is it getting darker all the time?");
		}
	}
	case 7:
	{
		says(lew, "You saw Sotiras? I'd like to hear more...later.");
	}
	default:
	{
		says(lew, "If I stand here behind this counter and look all official, people will have a better opinion of me.");
	}
}









