autolocal(1);
include("0helpful.prg");

//Obtain location
x = playerx[0];
y = playery[0];
switch(playerLayer[0])
{
	//Select player
	case 3:
	{
		//Check for item
		global(item) = itemExists(x, y, 2);

		//Different options if no item is selected, item is already used, or moves are used up
		if(item == -1 || moves >= maxmoves || status[item] ~= 1)
		{
			saveScreen();
	
			delay(0.5);
	
			origFontSize = getFontSize();
			fontSize(18);
	
			// Place the menu options on the screen.
			text(17, 10.5, "End Turn");
			text(17, 12, "Cancel");
			
			// Create a cursor map.
			cMap = createCursorMap();
		
			// Create cursor map points next to the menu options.
			cursorMapAdd(295, 180, cMap);
			cursorMapAdd(295, 210, cMap);
	
			// Run the cursor map and obtain the user's choice.
			res = cursorMapRun(cMap);	
	
			// Destroy the cursor map after use.
			killCursorMap(cMap);
			
			// Act on the user's choice.
			switch (res)
			{
				case (0)
				{
					restoreScreen();
					playerStance(playerHandle[0], "Blank");
					fontSize(origFontSize);
					run("endturn.prg");
				}
				case (1)
				{
					restoreScreen();
					newPlayer("select.tem");
					fontSize(origFontSize);
					end();
				}
			}
		}
		
		saveScreen();

		newPlayer("confirm.tem");
		delay(0.5);

		origFontSize = getFontSize();
		fontSize(18);

		// Place the menu options on the screen.
		text(17, 10.5, "Select");
		text(17, 12, "Cancel");
		
		// Create a cursor map.
		cMap = createCursorMap();
	
		// Create cursor map points next to the menu options.
		cursorMapAdd(295, 180, cMap);
		cursorMapAdd(295, 210, cMap);

		// Run the cursor map and obtain the user's choice.
		res = cursorMapRun(cMap);	

		// Destroy the cursor map after use.
		killCursorMap(cMap);
		
		// Act on the user's choice.
		switch (res)
		{
			case (0)
			{
				newPlayer("sketch2.tem");
				eraseItem(item);
				playerDirection(playerHandle[0], 3);
				putPlayer(playerHandle[0], x, y, 2);
				fontSize(origFontSize);
				restoreScreen();
			}
			case (1)
			{
				newPlayer("select.tem");
				fontSize(origFontSize);
				restoreScreen();
			}
		}
	}
	//Return to selection mode
	case 2:
	{
		origFontSize = getFontSize();
		fontSize(18);

		saveScreen();

		// Place the menu options on the screen.
		text(17, 10.5, "Done");
		text(17, 12, "Cancel");
		
		// Create a cursor map.
		cMap = createCursorMap();
	
		// Create cursor map points next to the menu options.
		cursorMapAdd(295, 180, cMap);
		cursorMapAdd(295, 210, cMap);

		// Run the cursor map and obtain the user's choice.
		res = cursorMapRun(cMap);	

		// Destroy the cursor map after use.
		killCursorMap(cMap);
		
		// Act on the user's choice.
		switch (res)
		{
			case (0)
			{
				putPlayer(playerHandle[0], x, y, 3);
				newPlayer("select.tem");
				putItem(item, x, y, 2);
				fontSize(origFontSize);
				status[item] = 0;
				itemDirection(item, 7);
				global(moves)++;
				restoreScreen();
			}
			case (1)
			{
				fontSize(origFontSize);
				restoreScreen();
			}
		}
	}
}




