include("0helpful.prg");
include("system.prg");
autolocal(1);

stan = "Stan";
board = getBoardName();

says("", "Do you have something to give Stan?");
input = cMWinChoice("Yes", "No");
if(input == 0)
{
	item = itemSelect();
	if(item ~= 0 && item ~= "")
	{
		says(stan, "Hmmm....");
	}
}

switch(gamestate)
{
	case 3:
	{
		says(stan, "A PathFinder, you say? I consider myself a bit of a collector. Old gears, toys, instruments, shoe soles.... Oh, delightful! I also pride myself on being a skilled inventor.");
	}
	case 4:
	{
		if(item == "boot")
		{
			says(stan, "Aha! That's a fine shoe specimen there if I ever saw one!");
			lewaei.saveItem("boot");
			says(stan, "With shoes, I usually just keep the soles. It's just too much to carry around a whole collection of whole shoes. You can keep the scrap leather.");
			itemAdd("leather");
		}
		else
		{
			says(stan, "I had a friend once. He sure was a queer specimen, that lad. He was always losing things-some of which were quite valuable! How do you suppose someone could just lose things? But I sure would like to get my hands on any of that stuff--especially collectibles.");
			says(stan, "You should see my sole collection some time!");
		}
	}
	case 5:
	{
		split(bluecrystal, ",", part);
		if(part[6] ~= 0)
		{
		if(item ~= 0)
		{		
			if(item == "wheel")
			{
				mutirna.saveItemC("wheel");
				says(stan, "That's good.");
			}
			elseif(item == "gear")
			{
				mutirna.saveItemC("gear");
				says(stan, "Oooo!");
				global(staPos) = 1;
			}
			elseif(item == "brick")
			{
				mutirna.saveItemC("brick");
				says(stan, "Oh. Thanks. But seeing it now, I think I have a better idea in mind.")
				itemAdd("brick");
			}
			else
			{
				says(stan, "That won't work.");
			}
		}
		if(ingredient(bluecrystal, 8) == 0)
		{
			says(stan, "One of my friends wanted me to make a machine for them. The main part of it is a wheel.");
		}
		elseif(ingredient(bluecrystal, 9) == 0)
		{
			says(stan, "To make the wheel turn, I need an engine. And to make an engine, I need a gear.");
		}
		elseif(ingredient(bluecrystal, 10) == 0)
		{
			says(stan, "For the body work, I think I need brick.");
		}
		elseif(itemInInventory("machine") == 0 && itemInInventory("glasscube") == 0 && ingredient(bluecrystal, 11) == 0)
		{
			says(stan, "Ok. It's finished. Here is the machine. But I don't remember who asked me to make it, and I don't think they are going to readily tell you. It was supposed to be a top secret project or something.");
			itemAdd("machine");
		}
		}
		else
		{
			says(stan, "If I put the engine...");
			says(stan, "Oh! Did you need something from me?");
		}
	}
	case 6:
	{
		if(board == "cave.brd")
		{
			says(stan, "I WILL reach that portal. Besides being an inventor and a collector I am also an accomplished adventurer. A bit of rope might help though.");
		}
		else
		{
			if(item == "rope" || (ingredient(greencrystal, 18) == 1 && itemInInventory("bracelet") == 0 && itemInInventory("bead") == 0 && ingredient(greencrystal, 19) == 0))
			{
				bernon.saveItemD("rope");
				says(stan, "Oh. I don't really need that now, but thanks anyway.");
				says(stan, "Here is a bracelet. I, being a guy, haven't found much use for this, but maybe you will");
				itemAdd("bracelet");
			}
			else
			{
				if(sotPos >= 7)
				{
					says(stan, "Guess he wasn't much to get himself killed off.");
				}
				else
				{
					says(stan, "Have you heard this guy? He really is quite something.");
				}
			}
		}
	}
	case 7:
	{
		says(stan, "I am sick and tired of hearing the name Sotiras.");
		says(stan, "He's gone, OK?");
	}
}




