autoLocal(1);
include("0helpful.prg");	
//debugger((getTickCount()%1000)%100);
world = createCanvas(640, 480);
setImage("2DWorld2_1.png", 0, 0, 100, 100, world);
//drawCanvas(world, 0, 0);
//wait();
clear();
//sin in degrees
//debugger(castInt(sin(720)));
view = createCanvas(32, 1);
screen = createCanvas(640, 480);

mediaPlay("vip - tower1.mid");

ax = 91;
ay = 91;
dir = 90;

name[220] = "Watchman"; //41
message[220] = "Welcome to our world. As you can see, we exist in two dimensions. Hopefully you, with your higher dimension knowledge, can be of assistance here in our world.";
name[221] = "Sammo";
message[221] = "I really need to patch that hole in the back of my house. I don't want anything getting in from outside the village.";
name[222] = "Wanda";
message[222] = "Please help me! My son hasn't been seen in days! Please help me find him!";
name[223] = "Josten";
message[223] = "Our village is in the southeast corner of this world. Beyond this town are the woods to the north, mountains to the west, and ruins to the northwest. But those are all beyond the river...";
name[224] = "Blentyra";
message[224] = "I wouldn't wanna get lost in them there ruins. Them's some confusing area.";
name[225] = "Yurzqwib";
message[225] = "I just want to get home!";

while(1)
{
origTick = getTickCount();
/*	switch(frame%8)
	{
		case 1:
		{
			colorRGB(255, 220, 41)
			setPixel(91, 86, world);
		}
		case 3:
		{
			colorRGB(255, 220, 41)
			setPixel(93, 86, world);
		}
		case 5:
		{
			colorRGB(255, 220, 41)
			setPixel(92, 85, world);
		}
		case 7:
		{
			colorRGB(255, 220, 41)
			setPixel(92, 87, world);
		}
		default:
		{
			colorRGB(255, 220, 41)
			setPixel(92, 86, world);
		}
	}*/
	switch(get()) //get() didn't work
	{
		case "UP":
		{
			dx = cos(dir); //Get change in position based on direction
			dy = sin(dir);
			hx = castInt(ax + dx); //hypothetical new position
			hy = castInt(ay - dy);
			go = 1;
			getPixel(hx, hy, hr, hg, hb, world); //Check for coloration
			if(hr ~= 255 && hg ~= 0 && hb ~= 255)
			{
				kill(go);
			}
			if(go)
			{
				ay -= dy; //Change Postion
				ax += dx;
				if(found == 1) //Lost person 225 following player home
				{
					colorRGB(255, 0, 255);
					setPixel(prvx[3], prvy[3], world);
					colorRGB(255, 225, 41);
					setPixel(prvx[2], prvy[2], world);
				}
				prvx[3] = prvx[2];
				prvx[2] = prvx[1];
				prvx[1] = ax;
				prvy[3] = prvy[2];
				prvy[2] = prvy[1];
				prvy[1] = ay;
			}
		}
		case "DOWN": //Exact opposite of UP
		{
			dx = 0 - (cos(dir));
			dy = 0 - (sin(dir));
			hx = castInt(ax + dx);
			hy = castInt(ay - dy);
			go = 1;
			getPixel(hx, hy, hr, hg, hb, world);
			if(hr ~= 255 && hg ~= 0 && hb ~= 255)
			{
				kill(go);
			}
			if(go)
			{
				ay -= dy;
				ax += dx;
			}
		}
		case "RIGHT":
		{
			dir-=5; //Change direction by 5 degrees
			if(dir < 0)
			{
				dir += 360;
			}
		}
		case "LEFT":
		{
			dir+=5;
			if(dir > 360)
			{
				dir -= 360;
			}
		}
		case "ESC":
		{
			kill(frame);
			end();
		}
		case "":
		{
		}
	}
clearbuffer();
	for(sweep = -45; sweep <= 51; sweep+=3) //view arrays rays, view spans 45 degrees in 32 pixels
	{
		slot = ((sweep + 45)/3); //Determine slot in view
		tdx = cos(dir - sweep); //Determine ray of pixels to gather, change in pixel
		tdy = sin(dir - sweep);
		tx = ax; //Set inition pixel of ray to player position
		ty = ay;
		for(dist = 16; dist >= 0; dist--) //view ray for one pixel of view, max view distance of 16
		{
			tx += tdx; //alter position of current ray pixel
			ty -= tdy;
			getPixel(castInt(tx), castInt(ty), pr, pg, pb, world);
			if(pr == 255 && pg == 0 && pb == 255) { } //Don't display magic pink
			elseif(pr == 0 && pg == 0 && pb == 0) { } //Don't display pink
			else //display pixel
			{
				fr = ((dist/16)*pr); //adjust for fog
				fg = ((dist/16)*pg);
				fb = ((dist/16)*pb);
				colorRGB(fr, fg, fb);
				setPixel(slot, 0, view);
				dist = -2; //Don't look further than seen pixel
				set = 1; //Yay! Pixel was seen!
				if(fb == 41 && dist <= 3) //Is it a person?
				{
					if(fg == 222)
					{
						says("Wanda", "Oh thank you, thank you! THANK YOU!");
						says("Wanda", "...");
						says("Wanda", "Ok. You can go home now.");
						kill(frame);
						end();
					}
					encounter(fg, name[fg], message[fg]); //Si senor
					if(fg == 225)
					{
						setPixel(prvx[3], prvy[3], world);
						found = 1; //Lost boy will now start tracking player
						colorRGB(255, 0, 255);
						setPixel(10, 16, world);
					}
				}
			}
		}
		if(set ~= 1) //If no pixel seen...
		{
			colorRGB(0, 0, 0);
			setPixel(slot, 0, view); //...clear previously seen pixel
		}
	kill(set);
	}
	clear(screen);
	colorRGB(255, 255, 255);
	pixelText(10, 10, "Press ESCAPE to exit", screen);
	drawCanvas(view, 204, 239, 256, 8, screen); //View stretched 8x (pixel = 64 pixels)
	pixelText(200, 300, "(" + castInt(ax) + ", " + castInt(ay) + "), " + dir, screen); //coordinates and direction (degrees)
	drawCanvas(screen, 0, 0); //Yay! We can see!
	global(frame)++; //Keep track of frame number
	while((getTickCount() - origTick)%1000 < 100) { } //Each frame at least 100 milliseconds
}

function encounter(greenID, person, message) //Dialogue
{
//debugger(lastTalk[greenID] + "," + frame);
	if(lastTalk[greenID] == "" || frame - lastTalk[greenID] >= 40)
	{
		0helpful.says(person, message);
		global(lastTalk[greenID]) = frame;
	}
}

